Skip to main content
POST
Register operator

Body

application/json
operatorEmail
string<email>
required

E-mail address, also the login identifier.

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
operatorFirstname
string
required

Given name.

Minimum string length: 1
operatorLastname
string
required

Family name.

Minimum string length: 1
operatorPassword
string
required

Plain password; stored only as a bcrypt hash.

Required string length: 5 - 64
operatorPhone
string
required

Phone number.

Minimum string length: 1
emailVerificationCode
string

Six-digit code from POST /v1/operators/email-verification. Required unless operatorInviteKey is given.

Pattern: ^\d{6}$
operatorInviteKey
string

Invite key from the invite e-mail; joins the inviting tenant.

Response

Response for status 201.

data
object
required